Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06408 DIP/Input Minor Random Oct 15, 2016, 18:39 Oct 31, 2016, 19:22
Tester Yonah View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows Vista/7/8 (64-bit)
Status [?] Acknowledged Driver segas32.cpp
Version 0.178 Fixed in Version Build Normal
Summary 06408: radm, radmu: Steering wheel sticks when using Logitech gamepad.
Description The steering wheel/handle (Paddle Analog) gets stuck when using the analog sticks on a Logitech gamepad, such as the F310 or F710. This can be easily observed in the Input Test mode. If the analog stick is moved slowly, the handle reading behaves as it should.

The problem occurs when the stick is rapidly snapped to the left or right then released. In this case the handle may either get stuck mid-way to its destination before being released, not return to 80 (center) when released, or move to another position that is not center. Gently moving the stick to the left or right and slowly centering will un-stick the handle.

For example, these are the hex readings I observe:

Stick centered, untouched: 80
Quick-Left: 6e
Quick-Release: 80
Quick-Left: 0
Quick-Release: 31
Quick-Right: FF
Quick-Release: F0
Quick-Right: FF
Quick-Release: FC
Steps To Reproduce
Additional Information I own both the gamepads mentioned above. The F310 is 4 years old. The F710 is only 2 months old. Both exhibit the same behavior and both work normally when tested outside MAME.
Flags
Regression Version
Affected Sets / Systems radm, radmu
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
5
User avatar
No.13274
Tafoid
Administrator
Oct 15, 2016, 21:22
edited on: Oct 15, 2016, 21:22
It would help us greatly if you took some older mamedev.org binaries, since you have your specific hardware and probably few others do, to find a version where this first started happening. I'm assuming it didn't always happen?
Not even sure without that specific hardware we can actually confirm your report.

Does it only happen with those controller plugged in? Does a keyboard or mouse work as expected?

User avatar
No.13275
Yonah
Tester
Oct 15, 2016, 22:09
I did some further testing. The keyboard works as expected unless the "Paddle Digital Speed" is set to 211 or higher, then it also sticks in the same manner as the gamepad. The mouse also works fine, but like the gamepad also sticks if I move the mouse too fast. My guess is that the controller itself isn't the problem; it's any input device that changes the value too quickly.

If you are unable to reproduce this, I will try an older version as you suggested.
User avatar
No.13282
Tafoid
Administrator
Oct 19, 2016, 12:14
Not sure if there is an easy way for anyone to correct this or if it is even an error in emulation.

I can confirm that using keyboard to steer if the digital speed setting is too high will cause game to fault a bit in steering, but is this truly an emulation error? There have been other cases in where sometimes the hardware outpaces the software and causes malfunction (trackball games occasionally suffer from this). Does this happen on other driving games in similar situations? It may simply be a limitation of the game and not expecting values to change at such a pace as your controller (and the high speed keyboard) are doing.
User avatar
No.13297
B2K24
Moderator
Oct 30, 2016, 01:56
I'm not sure either what can be done since this requires exotic hardware which I don't currently own. I'll acknowledge for now since it's not newly reported anymore.
User avatar
No.13305
bamse
Tester
Oct 31, 2016, 19:22
Hi. I have same problem.
It occurred on all analog devices. And it can be reproduced by setting PaddleAutocenterSpeed to 255.
It occurred in old mame(ex. 0.139).